<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm"><h1>#{messages['gazelle.ordermanager.SpecimenDetails']}</h1>
            <s:decorate template="/layout/panels/_panel.xhtml"
                        rendered="#{specimenManager.selectedSpecimen == null}">
                <ui:param name="bodyStyleClass" value="bg-danger"/>
                <span class="gzl-icon-exclamation-triangle"/>
                <h:outputText value="#{messages['gazelle.ordermanager.TheGivenIdDoesNotMatchAnExistingSpecimen']} !"/>
            </s:decorate>
            <s:div id="globalDiv" rendered="#{specimenManager.selectedSpecimen != null}">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.GeneralInformation']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Domain']}</ui:define>
                            <h:outputText value="#{specimenManager.selectedSpecimen.domain.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.OwnedByActor']}</ui:define>
                            <h:outputText value="#{specimenManager.selectedSpecimen.simulatedActor.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                            <h:outputText value="#{specimenManager.selectedSpecimen.creator}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.CreationDate_2']}</ui:define>
                            <g:date value="#{specimenManager.selectedSpecimen.lastChanged}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.SpecimenDetails']}</ui:define>
                    <ui:include src="/lab/specimenDetails.xhtml">
                        <ui:param name="specimen" value="#{specimenManager.selectedSpecimen}"/>
                    </ui:include>
                </ui:decorate>
                <s:decorate template="/layout/panels/_panel_title.xhtml"
                            rendered="#{not empty specimenManager.selectedSpecimen.observations}">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.RelatedObservations']}</ui:define>
                    <ui:include src="/lab/observationsTable.xhtml">
                        <ui:param name="observations" value="#{specimenManager.selectedSpecimen.observations}"/>
                        <ui:param name="allowUpdate" value="false"/>
                    </ui:include>
                </s:decorate>
                <gri:panel pid="containersPanel">
                    <f:facet name="header">#{messages['gazelle.ordermanager.RelativeContainers']}</f:facet>
                    <a4j:repeat value="#{specimenManager.selectedSpecimen.containers}" var="sac">
                        <gri:panel>
                        <ui:include src="/lab/containerDetails.xhtml">
                            <ui:param name="container" value="#{sac}"/>
                            <ui:param name="displayOrders" value="true"/>
                        </ui:include>
                        </gri:panel>
                    </a4j:repeat>
                </gri:panel>
                <s:decorate template="/layout/panels/_panel_title.xhtml"
                            rendered="#{not empty specimenManager.selectedSpecimen.orders}">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.RelativeOrders']}</ui:define>
                    <rich:dataTable value="#{specimenManager.selectedSpecimen.orders}" var="orc"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    id="orclist"
                                    render="ds">
                        <ui:include src="/common/orderColumns.xhtml">
                            <ui:param name="managedBean" value="#{specimenManager}"/>
                            <ui:param name="currentOrder" value="#{orc}"/>
                            <ui:param name="displayEncounterInfo" value="false"/>
                            <ui:param name="enableStatusEdit" value="false"/>
                        </ui:include>
                        <g:column>
                            <ui:define name="header">#{messages['users.Action']}</ui:define>
                            <h:outputLink
                                    value="#{applicationConfiguration.getValueOfVariable('application_url')}#{labOrderBrowser.getPermanentLink(orc.id)}"
                                    title="#{messages['gazelle.ordermanager.MoreDetails']}">
                                <s:span styleClass="gzl-icon-search "/>
                            </h:outputLink>
                        </g:column>
                       <!-- TODO : allow the user to access observations related to the order from here -->
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="orclist"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </s:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
